<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLContainersSubgraph&lt; CVertex, MessageType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a1a2a0614c77bb456f4d0cb504fb114bf">addInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8415be2d044f3ccf9fd43f7ca6c092b9">addInEdge</a>(ID_TYPE target, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#afc262ca800b31471c6dac28bc59e7dd7">addOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a63636556c966a8048e7e9e1cb2e91cc7">addOutEdge</a>(ID_TYPE src, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#acf39f474c5557dfdca569cf674168550">addVertex</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a2d21256d5df39f3e3759fb59903950f8">addVertex</a>(ID_TYPE id)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#aafd0e90c37dae7b49cbdc612362df8d0">TIGLContainersSubgraphBase::addVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a1a8f8c5aebe53cfa75a0da8ceeb13c73">addVertex_consistent</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#afd7832bc9093c5a2282c11ed978da141">addVertexConsistent</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a84db93d0ec9cfa38e310ddf714aebf2d">begin</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a167b44025122aff458441a2c8de7af1d">clearAllExternalMessageBuf</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a9e28a985afa8a2e1f87c49ab5972372b">clearAllMessages</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#afaceeeedd7df5043456c2e41b059b091">clearExternalMutationMessage</a>(int workingThread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#aaf24574ee0101369c223927aea0d2017">clearInSysMessage</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#af1589a4f92dca49c8cf02814b1babdae">clearMessages</a>(bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#acf208cac8390205136c77da9bc3fa0ee">clearNumMessages</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a1ea05dcb207ad51255a04781f810e8aa">clearOutSysMessage</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a327192dba67836868b82749df47fb7b7">consumeExternalDataMessageBuf</a>(EXTERNAL_MESSAGE_BUF *commBuf, int thread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a8c945361323713665a7c95c0d5accdb9">consumeSysMessages</a>(vector&lt; TIGLCommunicationSysMessage &gt; *messBuf)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#af1d321bddac759f440f3292081b89a82">createVerticesList</a>(ID_TYPE &amp;numVertices)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a8958238066c83e2bdc2df022edc57586">DeallocPosTable</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a9c1703b90d9743de8ab2b6ddb7b0e219">end</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a62a6e36adc46dbf599c7d8faafd57b46">evenInSysMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#ae8b137cd69516b378031e8ab19ca1d7b">evenMessageCount</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a6f49599251a3d4a150e8d140a108ea7b">evenTimeMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a5ded8c3cbfaa063fdf16cb25ab2b0399">exist</a>(ID_TYPE id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a180fa13d1360d5c43b801b37c8236a48">externalOutMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a3092a08fef7b668c3fa0feb32d55ce70">externalOutMessagesCount</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#ad588a2ada1c05c5a91f8127a5cb7e700">findPos</a>(ID_TYPE &amp;id, uint_fast32_t &amp;pos)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8f8279b68201a061a0b82d6baa8efea9">flagDirected</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#aab49586a6dc3f5e10d252fa0d7426d0d">flushExternalDataMessage</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#afc725525a42a059d55c70db36eab7bc7">getDataMessageBuf</a>(bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a85d68e2fbb12add2736d622d9d96d6e7">getExternalMessageBuf</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a4ae486dbca7153f42f26fa5f721ef49d">getExternalVertexSize</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a6e47d47e14d3a94ae7f5ac529634df45">getExternalVertexSize</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#ae9c3ed20db84d4929652e57ccd6a6112">getIndexedMessageBuf</a>(ID_TYPE index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a00c57c1eb46c5f6ea4c5c098865c6d11">getIndexedVertex</a>(ID_TYPE index)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a6e1a01a9360a11c5b6ce0b4ec25d8fa5">getInMutationMessageBuf</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a3b13f7214eeb13f838b23fe6f9585cdf">getInSysMessageBuf</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a8e92ff5540dd8af03d617bcd7148d124">getNumAllocThreads</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a0f6fcbd0cb13652cf2cfb772203cf989">getNumEdges</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#aef386e855a75803c4061fb14b5b1e5af">getNumMessages</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a7e2bc8afa961c7e8405870f974266e39">getNumMessagesPtr</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#ad3b6784d2d8eca7c51d78cb98a357025">getNumVertices</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#adb5b6dce3be32bae748e65f23a9867a8">getOutMutationMessageBuf</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#aa22a75bfed58820d6cc1ad867b3723d8">getOutSysMessageBuf</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#ab4a43a8901f2e42b7d9b10355dabbc11">getTotalExternalMessageCount</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#aa2d03cfaaa1aaaa9ff5c2c17b81aaaab">getTotalMessageCount</a>(bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a17f052aaccc16b6a9a3c42b4519fe967">getVertex</a>(ID_TYPE &amp;id, VERTEX_ITERATOR *it)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#af50bce5a84d6a774a0d0cfed10275eb5">getVertexPos</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#af945f921a69f60d84ec83362bed164b4">getVerticesPtr</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a184cedd204893f3f3ce9faec5c4af387">hash</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#af7e332662219975d1bc9c6ceaad6ead2">incrementNumMessages</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#af8c0e43b63dfd4f3ad976a66d1a2b7c5">init</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a162185052287e755168e0a16fc53effa">inMutationMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#ad1ed182bfb09f77047b476ac0928390f">isBiVertex</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a6f9e3b506fe87f6393961e551aceb097">isConnected</a>(ID_TYPE &amp;src, ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#ac15233878a0a6b1bebb89c44019b5868">isDirected</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#ac0f69a049e93fcb67e46b7070219d942">localExternalOutMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8503b2b278cb03c8c853df1430d44a0c">MaxCollision</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#af4ce331982096808815f4885006f334e">memory_usage</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a8157c38da8edf78a26ef6363103ce740">TIGLContainersSubgraphBase::memory_usage</a>(uint_fast32_t &amp;sizeVerticesList, uint_fast32_t &amp;sizePos)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a297661a428c71bf40cbfa3b77ec413b0">memoryUsage</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a3af22b8dc6a9b1b4618d0647a3b3cfeb">numAllLocalMutationMessage</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a843d6629570f365cabcbd89637958f99">numAllocThreads</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a423c8981bb52a6a70484cf6d7673298e">numExternalMutationMessage</a>(int workingThread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#ae111a61f72c9b9f4bb91e6461fb03d48">numLocalMutationMessage</a>(int workingThread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a6f1df63b9b703e88233ce782291eef1a">oddInSysMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a9e60a84091f23f360c6f78c8251ee125">oddMessageCount</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a9b1e21d712276a8936b6dcfe42eaca4b">oddTimeMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a25b65ea5084eab741659a86dc3b28dfa">outMutationMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a95875e9fcf50b3ea3cb190272b556ede">outSysMessages</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#abbb1d4d57c9932d931e67d3b34592596">outSysMessagesCount</a></td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a3052785c9de1b497dfeb3df1f3908318">posHashSize</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#afb9bf5a1f1e563415fc2685a8e770097">posHoles</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#af6aa4baba45579b3785fc63489bc8e3f">pushDataMessage</a>(MESSAGE_TYPE &amp;message, uint_fast32_t index, bool oddTimeFlag, int workingThread, COMBINER_CLASS combiner)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a3bfc7659302c9567be0a28482cda62c3">pushDataMessage</a>(MESSAGE_TYPE &amp;message, uint_fast32_t index, bool oddTimeFlag, int workingThread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a417e991b12812b6b2b15659855495930">pushExternalDataMessage</a>(MESSAGE_TYPE &amp;message, uint_fast32_t thread)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a88b55cc0c715c527b1eff3da6be8daa4">pushExternalMutationMessage</a>(TIGLMutationMessage &amp;message, int workingThread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#aed823b5ec40f2fdfa64c1f1628a395cf">pushLocalMutationMessage</a>(TIGLMutationMessage &amp;message, int workingThread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a68157b4b22969d0c36b5478afa8bb6cb">pushSysMessage</a>(TIGLCommunicationSysMessage &amp;message)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a0fe9197bac7604394e0f743b993d6ec3">removeInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#acbb3850db815aa58de00acbc900ac3e6">removeOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a690892609f9fe96c720b12364b522f05">removeVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a5721517485cc575c65cd03173e4d934f">reset</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a303a14c996266fbe0ffcd24cd3b77bf2">resetMessageBuf</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#ae1d41a24a5368a61e69f4ec4a788f3b2">setAllNumMessages</a>(uint_fast32_t index, uint_fast32_t numMessages, bool oddTimeFlag)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a048201a1a2f0c8602b7142eb49981865">setNumMessages</a>(uint_fast32_t index, uint_fast32_t numMessages, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#ab310cf3b05179defbdafde49c7167694">size</a>()</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#aa4e9775f097cc1f96648933e78d14ce5">TIGLContainersSubgraph</a>(bool flagDirected, int threads=NUM_OMP_THREADS, uint_fast32_t assignedHashSize=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraph.html#a5b87d584d38fcac17318ef138fd55feb">TIGLContainersSubgraph</a>(VERTEX_LIST_TYPE &amp;init_adj_list, bool flagDirected, int threads=NUM_OMP_THREADS, uint_fast32_t assignedHashSize=0)</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a9a38e2aef24edfb18f95685e88441c15">TIGLContainersSubgraphBase</a>(bool isDireted=true, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a401d397bc80d0c0606056ab1ff00e1ef">TIGLContainersSubgraphBase</a>(VERTEX_LIST_TYPE &amp;init_adj_list, bool isDireted, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraphBase.html#a0cddad22deb3397c932ea4a87fe758a6">vertexList</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSubgraphBase.html#a1be4af9cd97cca92f16ff2ed3ba7c41a">vertexPos</a></td><td class="entry"><a class="el" href="classSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSubgraph.html#a5e4a7166e15d86cb49c548c531536905">~TIGLContainersSubgraph</a>()</td><td class="entry"><a class="el" href="classSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:03 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
